Opener Detector
Item media 1 screenshot

Overview

Checks for window.opener vulnerabilities as you browse.

A simple browser extension which checks for window.opener vulnerabilities as you browse. When it finds one, it shows a warning page in the vulnerable tab, so that you can report or fix the vulnerability. (Use the back button to return to the page.) Individual pages and whole domains can be added to an ignore list, and by default, vulnerabilities between pages of the same origin (e.g. https://example.com/foo.html and https://example.com/bar.html) are not reported, though this can be changed in the settings. window.opener vulnerabilities allow Web pages to control the tab which opened them. They can be fixed on many browsers simply by adding rel=noopener to your links. For more details, check out Mathias Bynens' article (https://mathiasbynens.github.io/rel-noopener/). Please use responsibly. Disclose vulnerabilities you find, or fix them. Keep your hat white. Source code is available on GitHub (https://github.com/HarryCutts/opener-detector), under the 3-clause BSD license. Contributions welcome!

5 out of 51 rating

Google doesn't verify reviews. Learn more about results and reviews.

Details

  • Version
    1.0.0
  • Updated
    September 4, 2017
  • Offered by
    Harry Cutts
  • Size
    29.94KiB
  • Languages
    English
  • Non-trader
    This developer has not identified itself as a trader. For consumers in the European Union, please note that consumer rights do not apply to contracts between you and this developer.

Privacy

The developer has not provided any information about the collection or usage of your data.
Google apps